Subject: [PATCH 0/3] omap3/omap4: add device tree support for wdt

From: [email-masked] (Xiao Jiang)
Date: Wed, 30 May 2012 18:14:33 +0800

Jon Hunter wrote:
> Hi Xiao Jiang,
>
> On 05/25/2012 05:42 AM, jgq516 at gmail.com wrote:
>   
>> From: Xiao Jiang <[email-masked]>
>>
>> This series can be applied to dt branch of linux-omap tree.
>>     
>
> Thanks for sending this!
>
>   
>> Since omap24xx series has different wdt base addr (omap2420: 0x48022000 and
>> omap2430: 0x49016000) per commit 2817142f31bfbf26c216bf4f9192540c81b2d071, so
>> I don't add wdt node in omap2.dtsi just like omap3 and omap4, maybe different
>> dts files are needed for omap2420 and omap2430.
>>     
>
> Good point. I am wondering if we can simple drop the address from the
> wdt2 node for omap2. It is not really being used. May be Benoit can comment.
>
>   
Hmm, I think the address doesn't need anymore since the related hw_mod 
has the right addr as follows.

static struct omap_hwmod_addr_space omap2420_wd_timer2_addrs[] = {
        {  
                .pa_start       = 0x48022000,
                .pa_end         = 0x4802207f,
                .flags          = ADDR_TYPE_RT
        }, 
        { }
};

static struct omap_hwmod_addr_space omap2430_wd_timer2_addrs[] = {
        {  
                .pa_start       = 0x49016000,
                .pa_end         = 0x4901607f,
                .flags          = ADDR_TYPE_RT
        }, 
        { }
};

static struct omap_hwmod_addr_space omap3xxx_wd_timer2_addrs[] = {
        {   
                .pa_start       = 0x48314000,
                .pa_end         = 0x4831407f,
                .flags          = ADDR_TYPE_RT
        },  
        { } 
};

static struct omap_hwmod_addr_space omap44xx_wd_timer2_addrs[] = {
        {   
                .pa_start       = 0x4a313000,
                .pa_end         = 0x4a31407f,
                .flags          = ADDR_TYPE_RT
        },  
        { } 
};

Regards,
Xiao
> Cheers
> Jon